#include <stdio.h>
#include <stdlib.h>
#define MAX 100
typedef struct lista * Lista;
Lista cria_lista();
int lista_vazia(Lista lst);
int lista_cheia(Lista lst);
int insere_elem(Lista lst, int elem);
int remove_elem(Lista lst, int elem);
void imprime_lista(Lista lst);
int remove_todos(Lista lst, int elem);
int insere_inicio(Lista lst, int elem);
int remover_impares(Lista lst);
int menor_elem(Lista lst);
int tamanho_lista(Lista lst);
Lista concatenar_lista(Lista L1, Lista L2);
